Loading...
Searching...
No Matches
rapidjson::EncodedInputStream< Encoding, InputByteStream > Class Template Reference

Input byte stream wrapper with a statically bound encoding. More...

`#include <encodedstream.h>`

## Public Types

typedef Encoding::Ch | Ch

## Public Member Functions

| EncodedInputStream (InputByteStream &is)
Ch | Peek () const
Ch | Take ()
size_t | Tell () const
void | Put (Ch)
void | Flush ()
Ch * | PutBegin ()
size_t | PutEnd (Ch *)

## Detailed Description

template<typename Encoding, typename InputByteStream>
class rapidjson::EncodedInputStream< Encoding, InputByteStream >

Input byte stream wrapper with a statically bound encoding.

Template Parameters

  Encoding | The interpretation of encoding of the stream. Either UTF8, UTF16LE, UTF16BE, UTF32LE, UTF32BE.
  InputByteStream | Type of input byte stream. For example, FileReadStream.

The documentation for this class was generated from the following file:

- include/rapidjson/encodedstream.h